Subject: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Uwe Brauer <[email-masked]>
Date: Sun, 01 Jan 2017 09:46:20 +0000

> Mosè Giordano <[email-masked]> writes:
   > Hi Gennady, Uwe & Mosè,

   > [CC'ing Uwe because I know he uses this feature.]

   > I just had a look and Gennady is correct in that there is an issue here
   > although what I get is a bit different from his observations.

   > With `font-latex-fontify-script' set to 'multi-level or 'invisible, what
   > I expect in $a^b^c$ is that the b is raised above a and a bit smaller,
   > and c is raised above b and again a bit smaller.  What I actually see is
   > that b is raised above a and a bit smaller but c is raised to the very
   > same height as b and has b's size.

Confirmed.

   > Sadly, I have no clue why that's the case.  The code worked as intended
   > when I wrote it and there haven't been any changes to it AFAICS.  Maybe
   > something is Emacs changed?  I've tried Emacs 25.1 and master with the
   > same results.

Confirmed.
   > Does anyone of you have an older Emacs copy (22.x, 23.x, 24.x) installed
   > and can check what the results are with that?

I have 24.x,[1] but I have to change my init file because right now I
obtain on start the following error: 
Warning (emacs): Unable to activate package `with-editor'.
Required package `emacs-24.4' is unavailable
Warning (initialization): An error occurred while loading `/home/oub/.emacs':

Symbol's function definition is void: function-put

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the `--debug-init' option to view a complete error backtrace.
Warning (emacs): Unable to activate package `with-editor'.
Required package `emacs-24.4' is unavailable

So auctex does not load.

I think I will use emacs -Q and cook some short auctex only init file
and report back.

Uwe 

Footnotes: 
[1]  I think I still have some hard disk with an older ubuntu version and
     with 23 or 22 around but that I have to look up.